WordPress ClassiPress téma “twitter_id” és “facebook_id” script beszúrásos sérülékenységek

CH azonosító

CH-5865

Angol cím

WordPress ClassiPress Theme "twitter_id" and "facebook_id" Script Insertion Vulnerabilities

Felfedezés dátuma

2011.10.30.

Súlyosság

Alacsony

Érintett rendszerek

ClassiPress theme
WordPress

Érintett verziók

WordPress ClassiPress theme 3.x

Összefoglaló

A WordPress ClassiPress témájának két olyan sérülékenységét jelentették, amelyeket kihasználva a rosszindulatú felhasználók script beszúrásos (script insertion) támadásokat hajthatnak végre.

Leírás

A “twitter_id” és “facebook_id” paraméterekkel a /classipress/profile/-nak átadott bemenet  (amikor “doing_wp_cron” be van állítva) nincs megfelelően ellenőrizve, mielőtt visszaadásra kerülne. Ezt kihasználva tetszőleges HTML és script kódot lehet lefuttatni a felhasználó böngésző munkamenetében, az érintett oldal vonatkozásában, a káros tartalom megtekintésekor.

A sérülékenységeket a 3.0.5.2. és 3.1.4. verziókban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra